Commit 6db4c6c3 authored by Giannis Kopanas's avatar Giannis Kopanas

fix(epub): add epub backend

parent 5b2223a6
......@@ -1066,6 +1066,15 @@
joi "^14.3.0"
lodash "^4.17.4"
"@pubsweet/logger@^0.2.19":
version "0.2.19"
resolved "https://registry.yarnpkg.com/@pubsweet/logger/-/logger-0.2.19.tgz#3f64e55c5aa65d06a0ef980a145d26fa6bea28f4"
integrity sha512-PCwXpG27tXo4ORs+53vTdyHBEVadh46G2pl323fMBOKsj9ItV+B0SsyujEsImJLJ6jdZ/2LfNQ/GfFUNJFnDMQ==
dependencies:
config "^3.0.1"
joi "^14.3.0"
lodash "^4.17.4"
"@pubsweet/logger@^0.2.2":
version "0.2.12"
resolved "https://registry.yarnpkg.com/@pubsweet/logger/-/logger-0.2.12.tgz#4df1a52d2827b22fe2b5aeeb56e23b49ab5829d7"
......@@ -8288,6 +8297,18 @@ html-entities@^1.2.0:
resolved "https://registry.yarnpkg.com/html-entities/-/html-entities-1.2.1.tgz#0df29351f0721163515dfb9e5543e5f6eed5162f"
integrity sha1-DfKTUfByEWNRXfueVUPl9u7VFi8=
html-epub@^1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/html-epub/-/html-epub-1.0.0.tgz#b700a16812dd467c9ad310cff6b105c1a8001648"
integrity sha512-RtXUr4v74ffiyt/EP8pAX4GjD6JIJO1yXRy2xn+OPpTlLaO4J5aj+rue7YM78ckHCqJsXHq1gutdRqB88DvT+w==
dependencies:
archiver "^3.0.0"
bluebird "^3.5.1"
cheerio "^0.22.0"
libtidy-updated "^0.4.0"
mime-types "^2.1.15"
xmlbuilder "^9.0.4"
"html-epub@git+https://git@gitlab.coko.foundation/pubsweet/html-epub#updated-libtidy":
version "0.7.0"
resolved "git+https://git@gitlab.coko.foundation/pubsweet/html-epub#15ea16bbfa773e861eed5f1908578da2ae7df96e"
......@@ -13778,6 +13799,18 @@ pubsweet-component-editoria-navigation@^0.1.1:
react-powerplug "^1.0.0"
react-router-dom "4.2.2"
pubsweet-component-epub@^0.5.17:
version "0.5.17"
resolved "https://registry.yarnpkg.com/pubsweet-component-epub/-/pubsweet-component-epub-0.5.17.tgz#fddc604524741900f25b80a7fc3e4b34b4d8e44e"
integrity sha512-3EHZc8fg5+IqNrlTkkFNW4TDHMkAbnxAoL6VDgEAUT6/ECOfFUQbj+3DpKlM91sPHgUr1Dq1dF+aJpn+F5eGPg==
dependencies:
"@pubsweet/logger" "^0.2.19"
cheerio "^1.0.0-rc.2"
highlight.js "^9.13.1"
html-epub "^1.0.0"
mkdirp "^0.5.1"
unzipper "^0.8.9"
pubsweet-component-ink-backend@^0.1.1:
version "0.1.1"
resolved "https://registry.yarnpkg.com/pubsweet-component-ink-backend/-/pubsweet-component-ink-backend-0.1.1.tgz#a1ed929c91503c14e1d8aaedfde1d33c365ab30c"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment